apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: myapp-agro-app
  namespace: argocd
spec:
  project: default

  source:
    repoURL: https://gitlab.com/danylo.maryskevych/argocd-test.git
    targetRevision: HEAD
    path: dev
  destination:
    server: https://kubernetes.default.svc
    namespace: myapp

  syncPolicy:
    syncOptions:
      - CreateNamespace=true

    automated:
      selfHeal: true
      prune: true